library haptics;

import 'package:flutter_web_plugins/flutter_web_plugins.dart';
import 'package:haptics/haptics_web.dart';
import 'package:haptics/models/haptic_level.dart';
import 'package:flutter/foundation.dart' show kIsWeb;
import 'haptics_mobile.dart' as mobile;
import 'haptics_web.dart' as web;
export 'models/haptic_level.dart';

class Haptics {
  static void registerWith(Registrar registrar) {
    HapticsWeb.registerWith(registrar);
  }

  static void feedback(HapticLevel type) {
    if (kIsWeb) {
      web.HapticsWeb().feedback(type);
    } else {
      mobile.HapticsMobile.feedback(type);
    }
  }
}
